Debian 10 libcurl3 install problem, solved?



  • Given the weird problems I ran into with snapd and removing it on Ubuntu 18.0.4 LTS (Hyper-V quick start) I decided to download a Debian ISO, and recreate a new VM.

    I made a server, non desktop install of Debian via the prompts after booting the VM from the .ISO.

    It worked OK, although a couple of typical errors. PHP was version 7.3
    Mysql couldn’t be downloaded/installed
    libcurl3 couldn’t be downloaded/installed

    I’ve managed to push past the php7.X issue (found a clue on a Hyper-V install):

    sudo php_ver='7.3' php_verAdds='-7.3' ./installfog.sh
    

    but now am getting errors with libcurl3. libcurl4 is installed.

    MySQL has to be downloaded from Oracle I believe. I switched over to Mariadb-server and -client.

    From checking the install script, it looks like with Debian, the $OSVERSION is 10? That seemed to try to load libcurl3 instead of libcurl4.

    Based on another thread I found that talked about libcurl3, I edited the /opt/fog/.fogsettings file, and changed the packages line from libcurl3 to libcurl4, and changed mysql-* to mariadb-*

    The install then worked!

          == John ==


  • I just upgraded debian an it’s now php 7.3 but the installer of fog 1.5.7 is looking for php 7.0.
    Do i have to install the dev-branch ?
    Actually nothing works anymore


  • Moderator

    @JGwinner FOG 1.5.7 is out now with Debian 10 installation support if you want to give it a try.


  • Developer

    @JGwinner You might wait a couple more days till we finally release FOG 1.5.7. The changes will bin in that.

    By the way, people have installed FOG on Raspbian. It’s not that fast hardware but it does work. But I have to admit that we have not tested the installer in a while and it might through errors on current Raspbian…



  • Wow! Sorry for that, I would have used 9 had I known it was that new!

    Yup, I think for this install I actually had used su … but then again, unlike Raspbian (which has nothing to do with Fog), I can actually use the root password.

    I did get it to install, should I scrap this and use the dev-branch? I just need something stable. Seems to be OK now that I used libcurl4 and Mariadb.

           -- John --

  • Developer

    @JGwinner Debian 10 was only released a couple of days ago and we had to fix some things in the installer. This is in the so called dev-branch and not an official FOG release yet. You can install on Debian 10 like this:

    sudo su -
    git clone https://github.com/FOGProject/fogproject/
    cd fogproject
    git checkout dev-branch
    cd bin
    ./installfog.sh
    

    Hint: As mentioned in the other topic (you probably did not see this?!) you shall not run the installer in a sudo environment but a proper root shell! (reference)


Log in to reply
 

442
Online

6.1k
Users

13.5k
Topics

127.3k
Posts